Last Comment Bug 1329752 - ESR - Configure e10s qualification criteria for ESR52
: ESR - Configure e10s qualification criteria for ESR52
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Extension Compatibility (show other bugs)
: Trunk
: Unspecified Unspecified
P2 normal (vote)
: Firefox 54
Assigned To: :Felipe Gomes (needinfo me!)
:
:
Mentors:
Depends on:
Blocks: 1299304
  Show dependency treegraph
 
Reported: 2017-01-09 12:00 PST by :shell escalante
Modified: 2017-02-14 08:23 PST (History)
11 users (show)
andrei.vaida: qe‑verify+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed
52+
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329752 - Don't enable e10s for XP users on ESR. (59 bytes, text/x-review-board-request)
2017-02-02 10:49 PST, :Felipe Gomes (needinfo me!)
jmathies: review+
jcristau: approval‑mozilla‑aurora+
jcristau: approval‑mozilla‑beta+
Details | Review
Bug 1329752 - Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension. (59 bytes, text/x-review-board-request)
2017-02-02 10:49 PST, :Felipe Gomes (needinfo me!)
mconley: review+
jcristau: approval‑mozilla‑aurora+
jcristau: approval‑mozilla‑beta+
Details | Review

Description User image :shell escalante 2017-01-09 12:00:48 PST
for ESR version - keep Release 50 criteria.  It was determined not to expand  in this population for this ESR.
Comment 1 User image :shell escalante 2017-01-09 12:05:06 PST
[Tracking Requested - why for this release]:

[Tracking Requested - why for this release]:  while we want to expand addons/e10s in general population - the ESR has less ability to correct if there is a need, since they are less likely to get the system add-on update.

should keep ESR on the proven in Release criteria from Release 50 (mpc=true and webextensions), rather than expanding into unmarked add-ons.
Comment 2 User image :shell escalante 2017-01-18 09:43:23 PST
Hi Julien,

this particular bug is for system add-on criteria only for ESR 52.  Release system add-on targeting criteria is different.  Sylvestre suggested I need info you to determine how to flag this bug for ESR only check-in.

There is a system add-on in Release - but it has more open criteria for who can run e10s.

Felipe I'm not sure on other targeting restrictions for ESR - outside of no A11y in 52 yet.
Comment 3 User image Julien Cristau [:jcristau] 2017-01-19 05:03:52 PST
Marking this as blocker for 52 until we have tracking/uplift flags for esr52.

From what I understand, esr52's e10s rollout criteria should also exclude winxp.
Comment 4 User image :shell escalante 2017-01-23 06:58:34 PST
from meeting today other criteria should be:
No XP.  No A11y.  Add-ons MPC=True and webextensions (blocking lastpass 4.0 from getting e10s in ESR).  

Russian will make determination after it's been in 51 for a few weeks in Release.
Comment 5 User image Astley Chen [:astley] (UTC+8) 2017-01-24 19:04:50 PST
Per comment 3, we'll use ESR52 flags to track this bug.
Comment 6 User image :Felipe Gomes (needinfo me!) 2017-01-25 11:02:52 PST
I'll use this bug to do all the criteria, instead of just add-ons:

- Addons: only mpc=true and webextensions
- XP: no e10s
- No e10s for a11y users
- Russian TBD (but likely yes)
Comment 7 User image Julien Cristau [:jcristau] 2017-02-01 13:13:14 PST
Moving tracking to new esr52 flags.
Comment 8 User image :Felipe Gomes (needinfo me!) 2017-02-02 10:49:58 PST Comment hidden (mozreview-request)
Comment 9 User image :Felipe Gomes (needinfo me!) 2017-02-02 10:49:58 PST Comment hidden (mozreview-request)
Comment 10 User image Jim Mathies [:jimm] 2017-02-02 12:26:31 PST
Comment on attachment 8832992 [details]
Bug 1329752 - Don't enable e10s for XP users on ESR.

https://reviewboard.mozilla.org/r/109224/#review110392
Comment 11 User image Mike Conley (:mconley) 2017-02-03 08:40:40 PST
Comment on attachment 8832993 [details]
Bug 1329752 - Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension.

https://reviewboard.mozilla.org/r/109226/#review110638

::: toolkit/mozapps/extensions/internal/E10SAddonsRollout.jsm:922
(Diff revision 1)
> +  "esrB": { addons: [], mpc: true, webextensions: false },
> +  "esrC": { addons: [], mpc: false, webextensions: true },

Good to see you planning ahead. :)
Comment 12 User image Pulsebot 2017-02-03 08:42:07 PST
Pushed by felipc@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/96ecba4a2327
Don't enable e10s for XP users on ESR. r=jimm
https://hg.mozilla.org/integration/autoland/rev/5d8c9f8f8d31
Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension. r=mconley
Comment 13 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2017-02-03 09:32:57 PST
Backed out for Windows build bustage due to attempted string conversion ins nsAppRunner.cpp:

https://hg.mozilla.org/integration/autoland/rev/3e0339f8c1c9c8744359ed0f1a7b8669d45a9799
https://hg.mozilla.org/integration/autoland/rev/a38ae5c0eb7b9a803c25ce2878286bd36ecba83e

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=5d8c9f8f8d3117c6def1cbd0944e391e7436f4fc
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=74337670&repo=autoland

09:02:02     INFO -  nsAppRunner.cpp
09:02:02     INFO -  c:/builds/moz2_slave/autoland-w32-00000000000000000/build/src/toolkit/xre/nsAppRunner.cpp(4939): error C2440: 'initializing': cannot convert from 'nsAdoptingCString' to 'nsAdoptingString'
09:02:02     INFO -  c:/builds/moz2_slave/autoland-w32-00000000000000000/build/src/toolkit/xre/nsAppRunner.cpp(4939): note: No constructor could take the source type, or constructor overload resolution was ambiguous
09:02:02     INFO -  c:/builds/moz2_slave/autoland-w32-00000000000000000/build/src/config/rules.mk:1015: recipe for target 'nsAppRunner.obj' failed
09:02:02     INFO -  mozmake.EXE[5]: *** [nsAppRunner.obj] Error 2
09:02:02     INFO -  mozmake.EXE[5]: Leaving directory 'c:/builds/moz2_slave/autoland-w32-00000000000000000/build/src/obj-firefox/toolkit/xre'
09:02:02     INFO -  c:/builds/moz2_slave/autoland-w32-00000000000000000/build/src/config/recurse.mk:71: recipe for target 'toolkit/xre/target' failed
09:02:02     INFO -  mozmake.EXE[4]: *** [toolkit/xre/target] Error 2
Comment 14 User image :Felipe Gomes (needinfo me!) 2017-02-03 10:26:05 PST
s/nsAdoptingString/nsAdoptingCString/
Comment 15 User image :Felipe Gomes (needinfo me!) 2017-02-03 10:29:23 PST Comment hidden (mozreview-request)
Comment 16 User image :Felipe Gomes (needinfo me!) 2017-02-03 10:29:23 PST Comment hidden (mozreview-request)
Comment 17 User image Pulsebot 2017-02-03 10:31:14 PST
Pushed by felipc@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/db8b0dcf5c08
Don't enable e10s for XP users on ESR. r=jimm
https://hg.mozilla.org/integration/autoland/rev/90f7f1e66a1f
Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension. r=mconley
Comment 19 User image :Felipe Gomes (needinfo me!) 2017-02-08 08:42:10 PST
Comment on attachment 8832992 [details]
Bug 1329752 - Don't enable e10s for XP users on ESR.

Approval Request Comment
[Feature/Bug causing the regression]: e10s configuration for ESR 52
[User impact if declined]: e10s will be enabled for WinXP users on ESR, which is not part of the plan
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: yes, when we produce ESR builds (they must be configured as update-channel=esr)
[List of other uplifts needed for the feature/fix]: the other patch in this bug
[Is the change risky?]: no
[Why is the change risky/not risky?]: this code has been used in production to disable e10s on XP for release users since 52. This just extends the criteria from to the ESR channel too.
[String changes made/needed]: none
Comment 20 User image :Felipe Gomes (needinfo me!) 2017-02-08 08:43:20 PST
(In reply to :Felipe Gomes (needinfo me!) from comment #19)
> [Why is the change risky/not risky?]: this code has been used in production
> to disable e10s on XP for release users since 52. This just extends the

I meant 48, of course
Comment 21 User image :Felipe Gomes (needinfo me!) 2017-02-08 08:43:25 PST
Comment on attachment 8832993 [details]
Bug 1329752 - Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension.

Approval Request Comment
[Feature/Bug causing the regression]: e10s configuration for ESR 52
[User impact if declined]: e10s won't be rolled out to ESR 52
[Is this code covered by automated tests?]: no
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: yes, when we produce ESR builds (they must be configured as update-channel=esr)
[List of other uplifts needed for the feature/fix]: the other patch in this bug
[Is the change risky?]: no
[Why is the change risky/not risky?]: this code has been used in production to activate e10s for release users since 48. This just extends the criteria from to the ESR channel too.
[String changes made/needed]: none
Comment 22 User image Julien Cristau [:jcristau] 2017-02-09 04:56:31 PST
Comment on attachment 8832993 [details]
Bug 1329752 - Enable e10s for 100% of eligible users on ESR. Addons eligibility is mpc=true or webextension.

e10s criteria for 52esr, take in aurora and beta

Note You need to log in before you can comment on or make changes to this bug.